Subject: Re: linux-next: manual merge of the rr tree with the sound tree

From: Arnd Bergmann <[email-masked]>
Date: Tue, 13 Jul 2010 13:51:54 +0200

On Tuesday 13 July 2010, Stephen Rothwell wrote:
> Overlapping additions.  I fixed it up (see below) and carry the fix as necessary.
> 
> I was not sure if the kparam_(un)block_sysfs_write() calls needed to be
> surrounded by the (un)lock_kernel() calls or vice verse.

Either way should be fine, since the BKL does not suffer from AB-BA deadlocks
with mutexes. I would generally recommend making the BKL the outermost
lock to make it easier to conver to a mutex. That is how you did it too.

Thanks,

	Arnd